> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gloo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update chat

> Update chat.

<Warning>
  **Deprecated Endpoint**: This endpoint is part of the Chat API which is deprecated.

  Please migrate to the [Completions v2 API](/api-guides/completions-v2) for new projects.

  **[Migration Guide →](/api-guides/migrating-from-chat-to-completions-v2)**
</Warning>


## OpenAPI

````yaml patch /ai/{v}/chat
openapi: 3.1.0
info:
  title: AI API
  description: |-
    Optimized for high-speed inference and scalability by Gloo AI

    [Swagger UI](./docs) | [ReDoc UI](./redoc)
  version: 1.0.0
servers:
  - url: https://platform.ai.gloo.com
security:
  - bearerAuth: []
tags:
  - name: Content Controls
  - name: Data Engine
  - name: Ingestion & Enrichment
  - name: answers
  - name: chat
  - name: completions
  - name: content
  - name: core
  - name: data
  - name: get-models
  - name: ingestion
  - name: sotc
paths:
  /ai/{v}/chat:
    patch:
      tags:
        - chat
      summary: Update chat
      description: Update chat.
      operationId: patch
      parameters:
        - name: v
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/AvailableVersions'
        - name: chat_id
          in: query
          required: true
          schema:
            type: string
            title: Chat ID
        - name: chat_field
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/ChatFieldDropdown'
            minLength: 0
            maxLength: 7
            title: Field to Update
            description: Select a field
          description: Select a field
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ChatPatchRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema: {}
              example:
                chat_id: cd7c70b84-81b4-4865-ba38-5bce98d1919d
                field: pin
                value: true
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                detail: Invalid value
        '422':
          description: Unprocessable Entity
      deprecated: true
components:
  schemas:
    AvailableVersions:
      type: string
      enum:
        - v1
      title: AvailableVersions
    ChatFieldDropdown:
      type: string
      enum:
        - pin
        - title
        - summary
      title: ChatFieldDropdown
    ChatPatchRequest:
      properties:
        new_value:
          title: New Value
          description: The new value for the field.
          default: ''
      type: object
      title: ChatPatchRequest
    Error:
      type: object
      properties:
        detail:
          type: string
          description: A human-readable description of the error.
      title: Error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer authentication header of the form Bearer `<token>`, where
        `<token>` is your [auth token](/studio/manage-api-credentials).

````